低危 Google Golang不受控递归漏洞

CVE编号

CVE-2021-31525

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-27
漏洞描述
Google Go是美国谷歌(Google)公司的一款静态强类型、编译型、并发型,并具有垃圾回收功能的编程语言。
Go 1.15.12之前版本和1.16.4之前的1.16.x版本存在安全漏洞,该漏洞允许远程攻击者通过向ReadRequest或ReadResponse发送一个较大的报头来导致拒绝服务。

受影响系统:
Google Golang >= 1.16.0
Google Golang < 1.16.4
Google Golang < 1.15.12
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://groups.google.com/g/golang-announce/c/cu9SP4eSXMc
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go * Up to
(excluding)
1.15.12
运行在以下环境
应用 golang go * From
(including)
1.16.0
Up to
(excluding)
1.16.4
运行在以下环境
系统 alibaba_cloud_linux_2.1903 go * Up to
(excluding)
1.15.14-1.1.al8
运行在以下环境
系统 alpine_3.13 go * Up to
(excluding)
1.15.12-r0
运行在以下环境
系统 alpine_3.14 go * Up to
(excluding)
1.16.4-r0
运行在以下环境
系统 alpine_3.15 go * Up to
(excluding)
1.16.4-r0
运行在以下环境
系统 alpine_3.16 go * Up to
(excluding)
1.16.4-r0
运行在以下环境
系统 alpine_edge go * Up to
(excluding)
1.16.4-r0
运行在以下环境
系统 amazon_2 go * Up to
(excluding)
1.15.12-1.amzn2.0.1
运行在以下环境
系统 amazon_AMI go * Up to
(excluding)
1.15.12-1.67.amzn1
运行在以下环境
系统 centos_8 go * Up to
(excluding)
1.15.14-1.module+el8.4.0+11833+614b07b8
运行在以下环境
系统 debian_10 go * Up to
(including)
1.11.6-1+deb10u4
运行在以下环境
系统 debian_9 go * Up to
(including)
1.7.4-2+deb9u1
运行在以下环境
系统 fedora_33 go * Up to
(excluding)
1.15.12-1.fc33
运行在以下环境
系统 fedora_34 go * Up to
(excluding)
1.16.4-1.fc34
运行在以下环境
系统 fedora_EPEL_7 go * Up to
(excluding)
1.15.14-1.el7
运行在以下环境
系统 opensuse_Leap_15.2 go * Up to
(excluding)
1.15.12-lp152.17.1
运行在以下环境
系统 oracle_8 go * Up to
(excluding)
1.15.14-1.module+el8.4.0+20290+7af514f4
运行在以下环境
系统 redhat_8 go * Up to
(excluding)
1.15.14-1.module+el8.4.0+11833+614b07b8
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-674 未经控制的递归
阿里云安全产品覆盖情况